Subject: posix threads (pthread32) undefined references
From: [email-masked] (Stipe Tolj)

30 Oct 1998 20:09:00 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Alex Madarasz <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked],
        [email-masked]

> And, I just stumbled across this alternative alternative at :
>
>    <ftp://egcs.cygnus.com/pub/pthreads-win32/>

I have configure/make the libpthread32.a library using cygwin32 b19.3
(no
egcs, gcc from cdk.exe). When I tried to compile the distributed test
programs I get the following undefined reference errors:

% gcc create1.c -I.. -L.. -lpthread32
.../libpthread32.a(create.o)(.text+0x19a):create.c: undefined reference
to
`_beginthreadex'
.../libpthread32.a(exit.o)(.text+0xbe):exit.c: undefined reference to
`_endthreadex'
.../libpthread32.a(mutex.o)(.text+0x11e):mutex.c: undefined reference to
`TryEnterCriticalSection'

These seem to be undefined within all standard cygwin32 libraries. So
where
are they, and how can I build the test programs and other applications
using
the pthread32 library for cygwin32?

Any help is welcome. Thanks in advance.

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin32 Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".